#
# spec file for package ortp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Mariusz Fik <fisiu@opensuse.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libortp
%define sover   10
Name:           ortp
Version:        0.25.0
Release:        1.2
Summary:        Real-time Transport Protocol Stack
License:        LGPL-2.1+
Group:          Productivity/Telephony
Url:            http://linphone.org/eng/documentation/dev/ortp.html
Source:         http://download.savannah.gnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz
Source2:        http://download.savannah.gnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz.sig
Source3: 		%{name}.keyring
Source4:        baselibs.conf
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

%package -n %{soname}%{sover}
Summary:        Real-time Transport Protocol Stack
Group:          System/Libraries

%description -n %{soname}%{sover}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

%package devel
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Libraries/C and C++
Requires:       %{soname}%{sover} = %{version}
Provides:       %{soname}-devel = %{version}
Obsoletes:      %{soname}-devel < %{version}

%description devel
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q

%build
%configure \
%if %{?_lib} == lib64
  --enable-mode64bit \
%endif
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%files -n %{soname}%{sover}
%defattr(-,root,root)
%{_libdir}/%{soname}.so.%{sover}*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_includedir}/%{name}/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jan 24 2016 jengelh@inai.de
- Add tarball signature
* Fri Nov  6 2015 sor.alexei@meowr.ru
- Update to 0.25.0:
  * Support AVPF generic NACK.
  * Add payload types for RTT (Real-Time Text) and Codec2.
  * Bug fixes.
* Sat Aug 22 2015 tbechtold@suse.com
- update to 0.24.2:
  * Minor release v0.24.2
  * fix typo in rtcp_common_header_get padbit() macro definition
  * Add option to enable/disable documentation generation when building with CMake.
  * set correct dependency
  * configure.ac: add --disable-documentation option to speed up dev builds
  * re-add Requires field for devel rpm
  * AVPF TMMBR/TMMBN: set correct ssrc to handle TMMBR in one-way video calls
  * Release 0.24.1
  * devel package does not require explicit dependency
  * also add epoch to devel rpm
  * set rpm epoc to 1 to be alined with redhat rpm
  * logging.c: split line into 3
  * Fix redefinition of WINAPI_FAMILY_PARTITION when using MinGW64 (thanks to Henrik Pauli for pointing this).
  * increased the size of OrtpEventData.zrtp_sas.sas from 5 to 32 bytes to accomodate the B256 format SAS string
  * add rtp_session_get_symmetric_rtp
  * Define the "Additional #using Directories" when building winrttimer.cpp for Windows Phone.
  * improve logging
  * Fix last commit + allow use of C++.
  * Begin handling of build for Windows Phone with CMake.
  * Do not use absolute path in install instruction of CMake.
  * Fix crash with RTPFB and PSFB packets scheduling.
  * avoid uninstall to fail if nothing was installed before
  * Add support for TMMBR and TMMBN feedback messages (part of RFC 5104).
  * Fix possible receive bandwidth computation imprecision.
* Wed Jul 29 2015 dimstar@opensuse.org
- Add baselibs.conf: build libortp9-32bit, as needed by
  libmediastreamer_base4.
* Sun Mar 15 2015 sor.alexei@meowr.ru
- Update to 0.24.0:
  * RTCP send algorithm as describe in RFC3550.
  * RTCP XR (RFC3611).
  * RTCP send algorithm as describe in RFC4585: AVPF streams.
* Sun May 25 2014 fisiu@opensuse.org
- Update to 0.23.0:
  * network simulator improvements
  * updated to use ZRTPCPP>=4.0
  * security bugfixes
* Wed Jun 26 2013 fisiu@opensuse.org
- ortp-devel obsoletes libortp-devel now.
* Fri Jun 21 2013 fisiu@opensuse.org
- Update to 0.22.0:
  * network simulator improvements for simulating random lost packets
  * srtp initialization bugfix
- Source package renamed to ortp.
* Wed Oct 10 2012 mailaender@opensuse.org
- update to 0.20.0
  - fix an issue on video call with ZRTP
  - ZRTP media encryption
  - SRTP media encryption
  - RTCP support fixes
  - add rtp_session_get_round_trip_propagation()
  - optimisations in session-set intersection computation
  - workaround fix for some versions of uclibc
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Sun Nov  7 2010 pascal.bleser@opensuse.org
- fix Group tags
* Sun Jul 18 2010 dmacvicar@suse.de
- create ortp8 package (0.16.3) from ortp5 (0.13.1)
* Fri Dec 21 2007 crrodriguez@suse.de
- initial package version, required for linphone
